Bug Hunting Session
Bug 56321 - : horizontal/vertical flip of inserted picture is not persisted
Summary: : horizontal/vertical flip of inserted picture is not persisted
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Justin L
URL:
Whiteboard: BSA interoperability target:5.2.0 tar...
Keywords: bibisected, filter:doc
: 95986 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-10-23 11:44 UTC by David Michel
Modified: 2017-05-19 10:36 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
.doc created in LO - opens in Word with image flipped horizontically/vertically (22.00 KB, application/msword)
2016-02-12 09:48 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Michel 2012-10-23 11:44:08 UTC
Problem description: 

Steps to reproduce:
1. create a new document
2. insert a picture
3. flip it either vertically or horizontally
4. Save the file as .doc
5. Close the file
6. Reopen the file and notice that the picture is not flip, i.e. still has the original orientation.

Current behavior:
flip is not persisted

Expected behavior:
flip should be persisted

Platform: Ubuntu/12.04
Comment 1 bfoman (inactive) 2013-03-04 11:06:12 UTC
(In reply to comment #0)
> 3. flip it either vertically or horizontally
> 4. Save the file as .doc
> 5. Close the file
> 6. Reopen the file and notice that the picture is not flip, i.e. still has
> the original orientation.

Confirmed with:
LO 4.0.0.3
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 2 A (Andy) 2014-09-21 15:30:30 UTC
Reproducible with LO 4.3.1.2 (Win 8.1)
Comment 3 QA Administrators 2015-10-14 19:56:10 UTC Comment hidden (obsolete)
Comment 4 V Stuart Foote 2015-12-01 13:50:57 UTC
*** Bug 95986 has been marked as a duplicate of this bug. ***
Comment 5 V Stuart Foote 2015-12-01 15:07:09 UTC
While OP is for round trip, issue seems to be with the ww8 *import* filter handling of images that are flipped.

But equally when image is rotated (either Writer 90º increments, or precisely as coming from MS Office) which is bug 71703

Note: only the Draw/Impress module in LO provides precise rotation of images. Enhancement for Writer as bug 73797 

Handling of DOCX import--where the image is rotated and flipped (i.e. mirrored)-- is see also bug 95970.  https://gerrit.libreoffice.org/#/c/20109/
Comment 6 Robinson Tryon (qubit) 2015-12-14 06:00:32 UTC Comment hidden (obsolete)
Comment 7 Justin L 2016-02-12 09:48:32 UTC
Created attachment 122567 [details]
.doc created in LO - opens in Word with image flipped horizontically/vertically

Steps to create
-Insert - Image
-Format - Flip - Flip Vertical and Flip Horizontal.

bibisected - import ignores flip settings back to oldest bibisect (3.5). Export seems to be working to some degree since Word opens it flipped.  (Haven't figured out how to flip in Word 2003 yet - rotation is a 0deg when it is upside-down.)  Rotating by 180% seems to work in LO, but not flipping.
Comment 8 Justin L 2016-02-13 16:23:05 UTC
fix proposed at https://gerrit.libreoffice.org/22344

Please note that there are many other bugs related to flipping images - this fix only addresses this particular bug of importing the settings from .doc.
Comment 9 Commit Notification 2016-02-15 13:36:55 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aa03fd09c0e18ace241c9fe151f7f52c6773f403

tdf#56321 - .doc import image flipped status

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-02-16 09:02:26 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0ec06b19c0e14cfc7f69500e50e6ebb17a07ec0&h=libreoffice-5-1

tdf#56321 - .doc import image flipped status

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.